use crate::server::response;
use crate::server::ServerConfig;
use std::path::Path;
use url::Url;

pub fn handle(config: &ServerConfig, url: Url) -> Option<response::Response> {
    if url.scheme() != "gemini" {
        return Some(response::invalid_protocol());
    }

    let path = Path::new(url.path());
    if !path.has_root() {
        return Some(response::not_understood());
    }

    None
}
